package com.ssj.bean.kmt.kmt.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

//用于专题
public class TopicModel implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2960401669848673757L;

	private String id;//知识点id或专题id
	
	private String isHot;//1热门，重点，0普通
	
	private String name;//知识name
	
	private String jxmb;// 教学目标
	
	private String zdbx;//重点标识

	private String ydsl;//要点梳理
	
	private String explainText;//要点梳理
	
	private List<PointModel>  points=new ArrayList<PointModel>();//考点

	private List<Map<String, Object>> exercisesQus=new ArrayList<>();//练习题

	
	public String getJxmb() {
		return jxmb;
	}

	public void setJxmb(String jxmb) {
		this.jxmb = jxmb;
	}

	public String getZdbx() {
		return zdbx;
	}

	public void setZdbx(String zdbx) {
		this.zdbx = zdbx;
	}

	public String getYdsl() {
		return ydsl;
	}

	public void setYdsl(String ydsl) {
		this.ydsl = ydsl;
	}

	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<PointModel> getPoints() {
		return points;
	}

	public void setPoints(List<PointModel> points) {
		this.points = points;
	}

	public String getIsHot() {
		return isHot;
	}

	public void setIsHot(String isHot) {
		this.isHot = isHot;
	}

	public String getExplainText() {
		return explainText;
	}

	public void setExplainText(String explainText) {
		this.explainText = explainText;
	}

	public List<Map<String, Object>> getExercisesQus() {
		return exercisesQus;
	}

	public void setExercisesQus(List<Map<String, Object>> exercisesQus) {
		this.exercisesQus = exercisesQus;
	}
}
